#!/bin/sh
# Try to figure out the version of linux we are using.
# Takes no arguments and outputs the version of the
# linux distribution.

# If we have lsb_version, use it
[ -x lsb_release ] && exec lsb_release -sr

# Safe fallback
for dist in redhat mandrake turbolinux linuxppc
do
	if rpm -q $dist-release &>/dev/null
	then
		rpm -q --queryformat "%{version}\n" $dist-release
		exit 0
	fi
done

if [ -f /etc/SuSE-release ]
then
	# SuSE
	egrep -i "^VERSION =" /etc/SuSE-release |cut -d" " -f3
	exit 0
fi

if [ -f /etc/.issue ]
then
	# Caldera
	egrep -i "^Version " /etc/.issue |cut -d" " -f2
	exit 0
fi

exit 1
